%set_strip_skiplist */lib*-d-*.so.*
%define libsuffix 1_31

Name: boost
Version: 1.31.0
Release: alt2
Epoch:	1

Summary: Boost libraries
License: Boost Software License
Group: Development/C++
Url: http://www.boost.org

Packager: Alexey Voinov <voins@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: regex-config.in
Source2: python-config.in
Source3: thread-config.in
Source4: signals-config.in
Patch0:	boost-1.31.0-make.patch
Patch1:	boost-1.31.0-alt-symlink.patch

BuildPreReq: python-devel = 2.3

# Automatically added by buildreq on Thu Aug 14 2003
BuildRequires: gcc-c++ libstdc++-devel

%description
The Boost web site provides free peer-reviewed portable C++ source libraries.
The emphasis is on libraries which work well with the C++ Standard Library. One
goal is to establish "existing practice" and provide reference implementations
so that the Boost libraries are suitable for eventual standardization. Some of
the libraries have already been proposed for inclusion in the C++ Standards
Committee's upcoming C++ Standard Library Technical Report.
                          
Although Boost was begun by members of the C++ Standards Committee Library
Working Group, membership has expanded to include nearly two thousand members
of the C++ community at large.

%package devel
Summary: Boost libraries
Group: Development/C++
License: free for use and distribute

%description devel
The Boost web site provides free peer-reviewed portable C++ source libraries.
The emphasis is on libraries which work well with the C++ Standard Library. One
goal is to establish "existing practice" and provide reference implementations
so that the Boost libraries are suitable for eventual standardization. Some of
the libraries have already been proposed for inclusion in the C++ Standards
Committee's upcoming C++ Standard Library Technical Report.
                          
Although Boost was begun by members of the C++ Standards Committee Library
Working Group, membership has expanded to include nearly two thousand members
of the C++ community at large.


%package jam
License: GPL
Summary: Boost Jam is a replacement for make
Group: Development/Other

%description jam
Boost Jam is a build tool based on FTJam, which in turn is based on Perforce
Jam. It contains significant improvements made to facilitate its use in the
Boost Build System, but should be backward compatible with Perforce Jam.




%package datetime
License: BSD
Summary: Date-Time Library.
Group: Development/C++

%description datetime
Programming  with  dates  and  times  should  be  almost as simple and
natural  as  programming  with strings and integers. Applications with
lots  of temporal logic can be radically simplified by having a robust
set  of operators and calculation capabilities. Classes should provide
the ability to compare dates and times, add lengths or time durations,
retrieve dates and times from clocks, and work naturally with date and
time intervals.

%package datetime-devel
License: BSD
Summary: Date-Time Library. Development files.
Group: Development/C++
Requires: boost-datetime = %epoch:%version-%release
PreReq: boost-devel = %epoch:%version-%release

%description datetime-devel
Programming  with  dates  and  times  should  be  almost as simple and
natural  as  programming  with strings and integers. Applications with
lots  of temporal logic can be radically simplified by having a robust
set  of operators and calculation capabilities. Classes should provide
the ability to compare dates and times, add lengths or time durations,
retrieve dates and times from clocks, and work naturally with date and
time intervals.

%package datetime-devel-static
License: BSD
Summary: Date-Time Library. Static development files
Group: Development/C++
Requires: boost-datetime-devel = %epoch:%version-%release

%description datetime-devel-static
Programming  with  dates  and  times  should  be  almost as simple and
natural  as  programming  with strings and integers. Applications with
lots  of temporal logic can be radically simplified by having a robust
set  of operators and calculation capabilities. Classes should provide
the ability to compare dates and times, add lengths or time durations,
retrieve dates and times from clocks, and work naturally with date and
time intervals.




%package filesystem
License: BSD
Summary: Filesystem Library
Group: Development/C++

%description filesystem
The Boost Filesystem Library provides portable facilities to query and
manipulate paths, files, and directories.

%package filesystem-devel
License: BSD
Summary: Filesystem Library. Development files.
Group: Development/C++
Requires: boost-filesystem = %epoch:%version-%release
PreReq: boost-devel = %version-%release

%description filesystem-devel
The Boost Filesystem Library provides portable facilities to query and
manipulate paths, files, and directories.

%package filesystem-devel-static
License: BSD
Summary: Filesystem Library. Static development files
Group: Development/C++
Requires: boost-filesystem-devel = %epoch:%version-%release

%description filesystem-devel-static
The Boost Filesystem Library provides portable facilities to query and
manipulate paths, files, and directories.




%package test
License: BSD
Summary: Test Library
Group: Development/C++

%description test
The Boost Test Library provides a matched set of components for writing test
programs, organizing tests in to simple test cases and test suites, and
controlling their runtime execution. The Program Execution Monitor is also
useful in some production (non-test) environments. 

%package test-devel
License: BSD
Summary: Test Library. Development files.
Group: Development/C++
Requires: boost-test = %epoch:%version-%release
PreReq: boost-devel = %epoch:%version-%release

%description test-devel
The Boost Test Library provides a matched set of components for writing test
programs, organizing tests in to simple test cases and test suites, and
controlling their runtime execution. The Program Execution Monitor is also
useful in some production (non-test) environments. 

%package test-devel-static
License: BSD
Summary: Test Library. Static development files
Group: Development/C++
Requires: boost-test-devel = %epoch:%version-%release

%description test-devel-static
The Boost Test Library provides a matched set of components for writing test
programs, organizing tests in to simple test cases and test suites, and
controlling their runtime execution. The Program Execution Monitor is also
useful in some production (non-test) environments. 




%package regex
License: BSD
Summary: Regular expressions library for C++
Group: Development/C++
Obsoletes: boost-regex-gcc2, boost-regex-gcc3
Provides: boost-regex-gcc2 = %epoch:%version-%release
Provides: boost-regex-gcc3 = %epoch:%version-%release

%description regex
Regular expressions are a form of pattern-matching that are often used in text
processing; many users will be familiar with the Unix utilities grep, sed and
awk, and the programming language perl, each of which make extensive use of
regular expressions. Traditionally C++ users have been limited to the POSIX C
API's for manipulating regular expressions, and while regex++ does provide
these API's, they do not represent the best way to use the library. For example
regex++ can cope with wide character strings, or search and replace operations
(in a manner analogous to either sed or perl), something that traditional C
libraries can not do.

%package regex-devel
License: BSD
Summary: Regular expressions library for C++. Development files.
Group: Development/C++
Obsoletes: boost-regex-gcc2-devel, boost-regex-gcc3-devel, boost-regex-common-devel
Provides: boost-regex-gcc2-devel = %epoch:%version-%release
Provides: boost-regex-gcc3-devel = %epoch:%version-%release
Provides: boost-regex-common-devel = %epoch:%version-%release
Requires: boost-regex = %epoch:%version-%release
PreReq: boost-devel = %epoch:%version-%release

%description regex-devel
Regular expressions are a form of pattern-matching that are often used in text
processing; many users will be familiar with the Unix utilities grep, sed and
awk, and the programming language perl, each of which make extensive use of
regular expressions. Traditionally C++ users have been limited to the POSIX C
API's for manipulating regular expressions, and while regex++ does provide
these API's, they do not represent the best way to use the library. For example
regex++ can cope with wide character strings, or search and replace operations
(in a manner analogous to either sed or perl), something that traditional C
libraries can not do.

%package regex-devel-static
License: BSD
Summary: Regular expressions library for C++
Group: Development/C++
Requires: boost-regex-devel = %epoch:%version-%release

%description regex-devel-static
Regular expressions are a form of pattern-matching that are often used in text
processing; many users will be familiar with the Unix utilities grep, sed and
awk, and the programming language perl, each of which make extensive use of
regular expressions. Traditionally C++ users have been limited to the POSIX C
API's for manipulating regular expressions, and while regex++ does provide
these API's, they do not represent the best way to use the library. For example
regex++ can cope with wide character strings, or search and replace operations
(in a manner analogous to either sed or perl), something that traditional C
libraries can not do.




%package python
Group: Development/C++
Summary: The Boost Python Library (Boost.Python)
Obsoletes: boost-python-gcc2, boost-python-gcc3
Provides: boost-python-gcc2 = %epoch:%version-%release
Provides: boost-python-gcc3 = %epoch:%version-%release

%description python
Use the Boost Python Library to quickly and easily export a C++ library to
Python such that the Python interface is very similar to the C++ interface. It
is designed to be minimally intrusive on your C++ design. In most cases, you
should not have to alter your C++ classes in any way in order to use them with
Boost.Python. The system should simply ``reflect'' your C++ classes and
functions into Python.

%package python-devel
Group: Development/C++
Summary: The Boost Python Library (Boost.Python)
Obsoletes: boost-python-gcc2-devel, boost-python-gcc3-devel, boost-python-common-devel
Provides: boost-python-gcc2-devel = %epoch:%version-%release
Provides: boost-python-gcc3-devel = %epoch:%version-%release
Provides: boost-python-common-devel = %epoch:%version-%release
Requires: boost-python = %epoch:%version-%release
PreReq: boost-devel = %epoch:%version-%release

%description python-devel
Use the Boost Python Library to quickly and easily export a C++ library to
Python such that the Python interface is very similar to the C++ interface. It
is designed to be minimally intrusive on your C++ design. In most cases, you
should not have to alter your C++ classes in any way in order to use them with
Boost.Python. The system should simply ``reflect'' your C++ classes and
functions into Python.

%package python-devel-static
Group: Development/C++
Summary: The Boost Python Library (Boost.Python)
Requires: boost-python-devel = %epoch:%version-%release

%description python-devel-static
Use the Boost Python Library to quickly and easily export a C++ library to
Python such that the Python interface is very similar to the C++ interface. It
is designed to be minimally intrusive on your C++ design. In most cases, you
should not have to alter your C++ classes in any way in order to use them with
Boost.Python. The system should simply ``reflect'' your C++ classes and
functions into Python.





%package thread
Group: Development/C++
Summary: The Boost Threads Library (Boost.Threads)
Obsoletes: boost-thread-gcc2, boost-thread-gcc3
Provides: boost-thread-gcc2 = %epoch:%version-%release
Provides: boost-thread-gcc3 = %epoch:%version-%release

%description thread
Boost.Threads allows C++ programs to execute as multiple, asynchronous,
independent, threads-of-execution. Each thread has its own machine state
including program instruction counter and registers. Programs which execute as
multiple threads are called multi-threaded programs to distinguish them from
traditional single-threaded programs. Definitions gives a more complete
description of the multi-threading execution environment.

%package thread-devel
Group: Development/C++
Summary: The Boost Threads Library (Boost.Threads)
Obsoletes: boost-thread-gcc2-devel, boost-thread-gcc3-devel, boost-thread-common-devel
Provides: boost-thread-gcc2-devel = %epoch:%version-%release
Provides: boost-thread-gcc3-devel = %epoch:%version-%release
Provides: boost-thread-common-devel = %epoch:%version-%release
Requires: boost-thread = %epoch:%version-%release
PreReq: boost-devel = %epoch:%version-%release
Obsoletes: thread-devel-static < 1:1.31.0-alt1

%description thread-devel
Boost.Threads allows C++ programs to execute as multiple, asynchronous,
independent, threads-of-execution. Each thread has its own machine state
including program instruction counter and registers. Programs which execute as
multiple threads are called multi-threaded programs to distinguish them from
traditional single-threaded programs. Definitions gives a more complete
description of the multi-threading execution environment.
		     
%package thread-devel-static
Group: Development/C++
Summary: The Boost Threads Library (Boost.Threads)
Requires: boost-thread-devel = %epoch:%version-%release

%description thread-devel-static
Boost.Threads allows C++ programs to execute as multiple, asynchronous,
independent, threads-of-execution. Each thread has its own machine state
including program instruction counter and registers. Programs which execute as
multiple threads are called multi-threaded programs to distinguish them from
traditional single-threaded programs. Definitions gives a more complete
description of the multi-threading execution environment.





%package signals
Group: Development/C++
Summary: The Boost Signals Library (Boost.Signals)

%description signals
The  Boost.Signals  library  is an implementation of a managed signals and
slots  system. Signals represent callbacks with multiple targets, and  are
also called publishers or events in similar systems. Signals are connected to
some set of slots, which are callback receivers (also called event targets or
subscribers), which are called when the signal is "emitted."

%package signals-devel
Group: Development/C++
Summary: The Boost Signals Library (Boost.Signals)
Requires: boost-signals = %epoch:%version-%release
PreReq: boost-devel = %epoch:%version-%release

%description signals-devel
The  Boost.Signals  library  is an implementation of a managed signals and
slots  system. Signals represent callbacks with multiple targets, and  are
also called publishers or events in similar systems. Signals are connected to
some set of slots, which are callback receivers (also called event targets or
subscribers), which are called when the signal is "emitted."
		     
%package signals-devel-static
Group: Development/C++
Summary: The Boost Signals Library (Boost.Signals)
Requires: boost-signals-devel = %epoch:%version-%release

%description signals-devel-static
The  Boost.Signals  library  is an implementation of a managed signals and
slots  system. Signals represent callbacks with multiple targets, and  are
also called publishers or events in similar systems. Signals are connected to
some set of slots, which are callback receivers (also called event targets or
subscribers), which are called when the signal is "emitted."





%prep 
%setup -q -n boost_1_31_0
chmod u+w -R *
find ./ -type f -exec chmod a-x '{}' ';'
%patch0 -p1
%patch1 -p1

%build
cd tools/build/jam_src
sh ./build.sh
cd -
tools/build/jam_src/bin.linuxx86/bjam -sPYTHON_ROOT=%_prefix -sPYTHON_VERSION=2.3

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_includedir
mkdir -p $RPM_BUILD_ROOT%_libdir

tools/build/jam_src/bin.linuxx86/bjam -sPYTHON_ROOT=%_prefix -sPYTHON_VERSION=2.3 \
	--prefix=$RPM_BUILD_ROOT%_prefix install

#install jam
install -m 755 tools/build/jam_src/bin.linuxx86/jam $RPM_BUILD_ROOT%_bindir

ln -s boost-1_31/boost $RPM_BUILD_ROOT/%_includedir 


#install docs
docdir=$RPM_BUILD_ROOT%_docdir/%name-%version
mkdir -p $docdir
mkdir -p $docdir/doc
mkdir -p $docdir/status
mkdir -p $docdir/libs
mkdir -p $docdir/libs/python
mkdir -p $docdir/libs/regex
mkdir -p $docdir/libs/signals
mkdir -p $docdir/libs/thread
mkdir -p $docdir/libs/date_time
mkdir -p $docdir/libs/filesystem
mkdir -p $docdir/libs/graph
mkdir -p $docdir/libs/test

cp README *.css *.gif index.htm $docdir
cp libs/*.htm libs/*.html $docdir/libs
cp -r doc/html/ $docdir/doc/
cp status/{*.html,*.gif,*.txt} $docdir/status/
cp -r more people $docdir

cp -r libs/{a,b,c,di,dy,fo,fu,i,l,m,n,o,po,pr,ra,sm,sp,st,ti,to,tu,ty,u,v}*/ $docdir/libs
cp -r libs/python/{doc,example,test,pyste,*.html,*.txt}* $docdir/libs/python
cp -r libs/regex/{doc,example,test} libs/regex/*.{html,txt} $docdir/libs/regex
cp -r libs/signals/{doc,example,test,index.html}* $docdir/libs/signals
cp -r libs/thread/{doc,example,tutorial,test,index.html}* $docdir/libs/thread
cp -r libs/date_time/{doc,example,test,index.html}* $docdir/libs/date_time
cp -r libs/filesystem/{doc,example,test,index.html}* $docdir/libs/filesystem
cp -r libs/graph/{doc,example,test,index.html,LICENSE}* $docdir/libs/graph
cp -r libs/test/{doc,example,test,index.html,README}* $docdir/libs/test
ln -s ../../../include/boost $docdir/boost

#fix symlinks in %%_libdir
for f in $RPM_BUILD_ROOT/%_libdir/*; do
	if test -L $f; then
		dest=`basename $(readlink $f)`
		rm -f $f && ln -s $dest $f
	fi
done

for f in $RPM_BUILD_ROOT/%_libdir/*-gcc.so; do
	if test -L $f; then
		dest=`basename $f -gcc.so`.so
		ln -s `basename $f` $RPM_BUILD_ROOT/%_libdir/$dest
	fi
done


%files devel
%dir %_includedir/%name-%libsuffix
%dir %_includedir/%name-%libsuffix/%name
%_includedir/%name-%libsuffix/%name/[abdefghilmnouvw]*.hpp
%_includedir/%name-%libsuffix/%name/call_traits.hpp
%_includedir/%name-%libsuffix/%name/cast.hpp
%_includedir/%name-%libsuffix/%name/checked_delete.hpp
%_includedir/%name-%libsuffix/%name/compose.hpp
%_includedir/%name-%libsuffix/%name/compressed_pair.hpp
%_includedir/%name-%libsuffix/%name/concept_archetype.hpp
%_includedir/%name-%libsuffix/%name/concept_check.hpp
%_includedir/%name-%libsuffix/%name/config.hpp
%_includedir/%name-%libsuffix/%name/crc.hpp
%_includedir/%name-%libsuffix/%name/cstdint.hpp
%_includedir/%name-%libsuffix/%name/cstdlib.hpp
%_includedir/%name-%libsuffix/%name/current_function.hpp
%_includedir/%name-%libsuffix/%name/pointee.hpp
%_includedir/%name-%libsuffix/%name/preprocessor.hpp
%_includedir/%name-%libsuffix/%name/progress.hpp
%_includedir/%name-%libsuffix/%name/property_map.hpp
%_includedir/%name-%libsuffix/%name/property_map_iterator.hpp
%_includedir/%name-%libsuffix/%name/random.hpp
%_includedir/%name-%libsuffix/%name/rational.hpp
%_includedir/%name-%libsuffix/%name/ref.hpp
%_includedir/%name-%libsuffix/%name/scoped_array.hpp
%_includedir/%name-%libsuffix/%name/scoped_ptr.hpp
%_includedir/%name-%libsuffix/%name/shared_array.hpp
%_includedir/%name-%libsuffix/%name/shared_container_iterator.hpp
%_includedir/%name-%libsuffix/%name/shared_ptr.hpp
%_includedir/%name-%libsuffix/%name/smart_ptr.hpp
%_includedir/%name-%libsuffix/%name/spirit.hpp
%_includedir/%name-%libsuffix/%name/static_assert.hpp
%_includedir/%name-%libsuffix/%name/throw_exception.hpp
%_includedir/%name-%libsuffix/%name/timer.hpp
%_includedir/%name-%libsuffix/%name/token_functions.hpp
%_includedir/%name-%libsuffix/%name/token_iterator.hpp
%_includedir/%name-%libsuffix/%name/tokenizer.hpp
%_includedir/%name-%libsuffix/%name/type.hpp
%_includedir/%name-%libsuffix/%name/type_traits.hpp
%_includedir/%name-%libsuffix/%name/bind/
%_includedir/%name-%libsuffix/%name/compatibility/
%_includedir/%name-%libsuffix/%name/config/
%_includedir/%name-%libsuffix/%name/detail/
%_includedir/%name-%libsuffix/%name/format/
%_includedir/%name-%libsuffix/%name/function/
%_includedir/%name-%libsuffix/%name/graph/
%_includedir/%name-%libsuffix/%name/integer/
%_includedir/%name-%libsuffix/%name/io/
%_includedir/%name-%libsuffix/%name/iterator/
%_includedir/%name-%libsuffix/%name/lambda/
%_includedir/%name-%libsuffix/%name/math/
%_includedir/%name-%libsuffix/%name/mpl/
%_includedir/%name-%libsuffix/%name/multi_array/
%_includedir/%name-%libsuffix/%name/numeric/
%_includedir/%name-%libsuffix/%name/pending/
%_includedir/%name-%libsuffix/%name/pool/
%_includedir/%name-%libsuffix/%name/preprocessor/
%_includedir/%name-%libsuffix/%name/random/
%_includedir/%name-%libsuffix/%name/spirit/
%_includedir/%name-%libsuffix/%name/tuple/
%_includedir/%name-%libsuffix/%name/type_traits/
%_includedir/%name-%libsuffix/%name/utility/
%_includedir/%name-%libsuffix/%name/variant/
%_includedir/%name
%dir %_docdir/%name-%version
%dir %_docdir/%name-%version/doc
%dir %_docdir/%name-%version/doc/html
%dir %_docdir/%name-%version/doc/html/*
%dir %_docdir/%name-%version/doc/html/images/*
%dir %_docdir/%name-%version/libs
%doc %_docdir/%name-%version/boost
%doc %_docdir/%name-%version/more
%doc %_docdir/%name-%version/people
%doc %_docdir/%name-%version/status
%doc %_docdir/%name-%version/README
%doc %_docdir/%name-%version/*.css
%doc %_docdir/%name-%version/*.gif
%doc %_docdir/%name-%version/index.htm
%doc %_docdir/%name-%version/libs/[abcghilmnouv]*
%doc %_docdir/%name-%version/libs/disjoint_sets
%doc %_docdir/%name-%version/libs/dynamic_bitset
%doc %_docdir/%name-%version/libs/format
%doc %_docdir/%name-%version/libs/function
%doc %_docdir/%name-%version/libs/functional
%doc %_docdir/%name-%version/libs/pool
%doc %_docdir/%name-%version/libs/preprocessor
%doc %_docdir/%name-%version/libs/property_map
%doc %_docdir/%name-%version/libs/random
%doc %_docdir/%name-%version/libs/rational
%doc %_docdir/%name-%version/libs/smart_ptr
%doc %_docdir/%name-%version/libs/static_assert
%doc %_docdir/%name-%version/libs/spirit
%doc %_docdir/%name-%version/libs/timer
%doc %_docdir/%name-%version/libs/tokenizer
%doc %_docdir/%name-%version/libs/tuple
%doc %_docdir/%name-%version/libs/type_traits


%files jam
%doc tools/build/jam_src/*.html tools/build/jam_src/README 
%doc tools/build/jam_src/RELNOTES tools/build/jam_src/Porting
%_bindir/jam



%files regex
%_libdir/libboost_regex-gcc-%libsuffix.so.*
%_libdir/libboost_regex-gcc-mt-%libsuffix.so.*

%files regex-devel
%_includedir/%name-%libsuffix/%name/cregex.hpp
%_includedir/%name-%libsuffix/%name/regex.h
%_includedir/%name-%libsuffix/%name/regex.hpp
%_includedir/%name-%libsuffix/%name/regex_fwd.hpp
%_includedir/%name-%libsuffix/%name/regex/
%_libdir/libboost_regex*-d-*.so.*
%_libdir/libboost_regex*.so
%doc %_docdir/%name-%version/libs/regex

%files regex-devel-static
%_libdir/libboost_regex*.a


%files python
%_libdir/libboost_python-gcc-%libsuffix.so.*
%_libdir/libboost_python-gcc-mt-%libsuffix.so.*

%files python-devel
%_includedir/%name-%libsuffix/%name/python/
%_includedir/%name-%libsuffix/%name/python.hpp
%_libdir/libboost_python*-d-*.so.*
%_libdir/libboost_python*.so
%doc %_docdir/%name-%version/libs/python

%files python-devel-static
%_libdir/libboost_python*.a




%files thread
%_libdir/libboost_thread-gcc-mt-%libsuffix.so.*

%files thread-devel
%_includedir/%name-%libsuffix/%name/thread/
%_includedir/%name-%libsuffix/%name/thread.hpp
%_libdir/libboost_thread*-d-*.so.*
%_libdir/libboost_thread*.so
%doc %_docdir/%name-%version/libs/thread

#%files thread-devel-static
#%_libdir/libboost_thread*.a


%files signals
%_libdir/libboost_signals-gcc-%libsuffix.so.*
%_libdir/libboost_signals-gcc-mt-%libsuffix.so.*

%files signals-devel
%_includedir/%name-%libsuffix/%name/signals/
%_includedir/%name-%libsuffix/%name/signal.hpp
%_includedir/%name-%libsuffix/%name/signals.hpp
%_libdir/libboost_signals*-d-*.so.*
%_libdir/libboost_signals*.so
%doc %_docdir/%name-%version/libs/signals

%files signals-devel-static
%_libdir/libboost_signals*.a


%files datetime
%_libdir/libboost_date_time-gcc-%libsuffix.so.*
%_libdir/libboost_date_time-gcc-mt-%libsuffix.so.*

%files datetime-devel
%_includedir/%name-%libsuffix/%name/date_time/
%_libdir/libboost_date_time*-d-*.so*
%_libdir/libboost_date_time*.so
%doc %_docdir/%name-%version/libs/date_time

%files datetime-devel-static
%_libdir/libboost_date_time*.a


%files filesystem
%_libdir/libboost_filesystem-gcc-%libsuffix.so.*
%_libdir/libboost_filesystem-gcc-mt-%libsuffix.so.*

%files filesystem-devel
%_includedir/%name-%libsuffix/%name/filesystem/
%_libdir/libboost_filesystem*-d-*.so*
%_libdir/libboost_filesystem*.so
%doc %_docdir/%name-%version/libs/filesystem

%files filesystem-devel-static
%_libdir/libboost_filesystem*.a


%files test
%_libdir/libboost_prg_exec_monitor-gcc-%libsuffix.so.*
%_libdir/libboost_prg_exec_monitor-gcc-mt-%libsuffix.so.*
%_libdir/libboost_test_exec_monitor-gcc-%libsuffix.so.*
%_libdir/libboost_test_exec_monitor-gcc-mt-%libsuffix.so.*
%_libdir/libboost_unit_test_framework-gcc-%libsuffix.so.*
%_libdir/libboost_unit_test_framework-gcc-mt-%libsuffix.so.*

%files test-devel
%_includedir/%name-%libsuffix/%name/test/
%_libdir/libboost_prg_exec_monitor*-d-*.so*
%_libdir/libboost_test_exec_monitor*-d-*.so*
%_libdir/libboost_unit_test_framework*-d-*.so*
%_libdir/libboost_prg_exec_monitor*.so
%_libdir/libboost_test_exec_monitor*.so
%_libdir/libboost_unit_test_framework*.so
%doc %_docdir/%name-%version/libs/test

%files test-devel-static
%_libdir/libboost_prg_exec_monitor*.a
%_libdir/libboost_test_exec_monitor*.a
%_libdir/libboost_unit_test_framework*.a


%post regex -p /sbin/ldconfig
%postun regex -p /sbin/ldconfig

%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig

%post thread -p /sbin/ldconfig
%postun thread -p /sbin/ldconfig

%post signals -p /sbin/ldconfig
%postun signals -p /sbin/ldconfig

%post datetime -p /sbin/ldconfig
%postun datetime -p /sbin/ldconfig

%post filesystem -p /sbin/ldconfig
%postun filesystem -p /sbin/ldconfig

%post test -p /sbin/ldconfig
%postun test -p /sbin/ldconfig

%define r_link %_includedir/%name
%define r_dir %_includedir/%name-%libsuffix/%name

%pre devel
f=%r_link
if [ -d "$f" -a ! -L "$f" ]; then
	%__rm -rf "$f"
	/bin/touch "$f.RPMLOCK"
fi

%post devel
f=%r_link
d=%r_dir
if [ -f "$f.RPMLOCK" -a -d "$f" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
	%__rm "$f.RPMLOCK"
fi

%triggerpostun devel -- %name-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun regex-devel -- %name-regex-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun regex-devel -- %name-regex-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun python-devel -- %name-python-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun python-devel -- %name-python-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun thread-devel -- %name-thread-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun thread-devel -- %name-thread-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun signals-devel -- %name-signals-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun signals-devel -- %name-signals-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun datetime-devel -- %name-datetime-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun datetime-devel -- %name-datetime-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun filesystem-devel -- %name-filesystem-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun filesystem-devel -- %name-filesystem-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%triggerun test-devel -- %name-test-devel < 1:1.31.0-alt1
f=%r_link
d=%r_dir
if [ -L "$f" -a  -d "$d" -a ! -d "$d.RPMSAVE" ]; then
	%__mv "$d" "$d.RPMSAVE"
fi

%triggerpostun test-devel -- %name-test-devel < 1:1.31.0-alt1
d=%r_dir
if [ -d "$d.RPMSAVE" -a ! -d "$d" ]; then
	%__mv "$d.RPMSAVE" "$d"
fi

%changelog
* Mon May 24 2004 Alexey Voinov <voins@altlinux.ru> 1:1.31.0-alt2
- builddep on python-devel is now versioned

* Thu Apr 22 2004 Alexey Voinov <voins@altlinux.ru> 1:1.31.0-alt1
- new version (1.31.0)
- license changed to Boost Software License
- Reqs on boost-devel changed to PreReqs to enforce order of installation
- lots of triggers added to provide smooth upgrade

* Mon Aug 25 2003 Alexey Voinov <voins@altlinux.ru> 1:1.30.2-alt1
- new version (1.30.2)

* Wed Aug 13 2003 Alexey Voinov <voins@altlinux.ru> 1:1.30.0-alt1
- new version (1.30.0)
- build system changed, so %%build section does
- added subpackages for datetime, filesystem and test libraries
- description for signals library added
- epoch added (all .so's uses %version as so-version, regex library
  should be updated)
- removed all subpackage specific versions

* Tue Jan 21 2003 Alexey Voinov <voins@voins.program.ru> 1.29.0-alt1
- new version (1.29.0) now we know about g++-3.2
- fixes bug #0001863
- docs added
- new subpackage -signals- added
- boost-threads-devel-static temporarily removed, because static
  libraries for it is not built with boost build system.

* Tue Sep 10 2002 Alexey Voinov <voins@voins.program.ru> 1.28.0-alt0.4
- fixed version numbere for gcc-3.2. 
(this is temporary release)

* Mon Aug 19 2002 Alexey Voinov <voins@voins.program.ru> 1.28.0-alt0.3
- ...-config scripts renamed (s/_/-/g)
- added macros to control compilers version for which to build library

* Sun Aug 18 2002 Alexey Voinov <voins@voins.program.ru> 1.28.0-alt0.2
- spec rewrite: subpackages rearranged, files rearranged
- use gcc-version specific directories instead of update-alternatives
- remake patch updated (soname added)
- pytmake patch updated (soname fixed)
- buildreqs fixed

* Mon Jun 10 2002 Alexey Voinov <voins@voins.program.ru> 1.28.0-alt0.1
- new version (1.28.0)
- .makefile patch split into .remake and .pytmake patches
- buildreqs fixed

* Thu Jun 06 2002 Alexey Voinov <voins@voins.program.ru> 1.27.0-alt0.2
- gcc2/gcc3 variants added for regex subpackages
- /usr/bin/*_config files added
- python subpackages added
- buildreqs fixed

